package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.QualityTraceabilityBean;
import com.wd.workoffice.bean.mesBean.WokrOrderBean;
import com.wd.workoffice.bean.workEnum.WorkOrder;

import java.util.List;

import flexible.xd.android_base.utils.TimeUtils;

/**
 * Created by flexible on 2018/8/13.
 */

public class QualityWorkAdapter extends BaseQuickAdapter<WokrOrderBean.ListBean, BaseViewHolder> {

    public QualityWorkAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, WokrOrderBean.ListBean item) {
        helper.setText(R.id.tv_no, String.format("工单:%s", item.getWoCode()));
        helper.setText(R.id.tv_status, WorkOrder.getNameByCode(item.getStatus()));
        helper.setText(R.id.tv_location, item.getSiteName());
        helper.setText(R.id.tv_position, item.getLocationName());
        helper.setText(R.id.tv_time, TimeUtils.millis2String(item.getCreateDateTime()));
        helper.setText(R.id.tv_is_me, item.getIsMyOrder());

    }
}

